##
## clirc -- An IRC client in Python.
##
## Copyleft 1998 Teemu Kalvas <chery@s2.org>
##

import sys

#no_reload = ['GTK', 'Gtkinter', 'UserDict', '__builtin__', '__main__',
#	     'exceptions', 'gtk', 'imp', 'interface', 'linecache', 'os',
#	     'policy', 'posix', 'posixpath',
#	     'readline', 'regex', 'reloader', 'signal', 'site', 'socket', 
#	     'stat', 'string', 'strop', 'sys', 'traceback', 'types']

modlist = ['event', 'irc', 'policy', 'interface', 'config']
classlist = []

def add(name):
    if name not in modlist:
	modlist.append(name)

def add_class(cl, mod, name):
    for _cl, _mod, _name in classlist:
	if _cl == cl:
	    return
    classlist.append((cl, mod, name))

def _reload():
    for name in modlist:
	mod = sys.modules[name]
	reload(mod)
	if mod.__dict__.has_key('_reload'):
	    mod._reload()
    for cl, mod, name in classlist:
	new_cl = sys.modules[mod].__dict__[name]
	for attr in new_cl.__dict__.keys():
	    if attr[0:2] <> '__':
		cl.__dict__[attr] = new_cl.__dict__[attr]

## End. ##
