##
## clirc -- An IRC client in Python.
##
## Copyleft 1998 Teemu Kalvas <chery@s2.org>
##

class Event:
    def __init__(sf, fns):
	sf.fns = fns

    def __call__(sf, *args):
	rv = None
	try:
	    for fn in sf.fns:
		rv = apply(fn, args)
	except 'break', rv:
	    return rv
	return rv

    def pre(sf, fn):
	if callable(fn):
	    sf.fns.insert(0, fn)
	else:
	    sf.fns[:0] = fn

    def post(sf, fn):
	if callable(fn):
	    sf.fns.append(fn)
	else:
	    sf.fns[-1:] = fn

def event_init(dict, names):
    for name in names:
	dict[name] = Event([])

## End. ##
